## wargus 2.2.6

=== debian/changelog ===
wargus (2.2.6-2maemo2~fremantle) fremantle; urgency=low

  * Game
   - Show error box if saving game/map failed
   - Added support for starting game with specified map from command line
   - Animate Gold Mine when workers mining
   - Handle errors when saving game failed
   - Fixed showing tips on startup
   - Fixed spells and upgrades
   - Reverted back Color Cycling support
   - Fixed DefinePlayerTypes - bug #736460
  * Wartool
   - Fixed all memory leaks and memory erros
   - Added support for converting videos to ogv format (using ffmpeg2theora)
   - Added support for converting music files to ogg format (using timidity and ffmpeg2theora)
   - Added support for ripping sound tracks from Audio CD (using cdda2wav or cdparanoia)
  * Makefile
   - Rewritted to CMake
  * Wargus
   - Rewritted to use Stratagus Game Launcher
  * Maemo Warextract
   - Rewritted to use Stratagus Maemo Extractor
  * Debian
   - Rewritted control files to debhelper 7
   - Fixed debconf for dpkg-reconfigure
   - Fixed lintian errors and warnings
  * Unix build.sh
   - Script was removed, all functionality moved into wartool
  * Windows NSIS Installer
   - Removed all converting processes code (moved into wartool)

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 20 Dec 2011 19:37:55 +0100

wargus (2.2.5.5-1) unstable; urgency=low

  * New upstream release

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 22 Nov 2010 22:32:45 +0100

wargus (2.2.5.4-1) unstable; urgency=low

  * New upstream release

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 20 Sep 2010 15:24:31 +0200

wargus (2.2.5.3-1) unstable; urgency=low

  * New upstream release

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 11 Aug 2010 11:00:43 +0200

wargus (2.2.5.2) unstable; urgency=low

  * New upstream release

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 27 Jul 2010 10:05:19 +0200

wargus (2.2.5-1) unstable; urgency=low

  * New upstream release

 -- M. Gerhardy <tlh2000@users.sf.net>  Sat, 23 May 2009 10:51:08 +0200
