## wargus 2.2.7

=== debian/changelog ===
wargus (2.2.7-1maemo1~fremantle) fremantle; urgency=low

  * Fixed bugs
   - Link wargus executable directly with X11 library - bug #908789
   - Fixed Debian installation - bug #909017
   - Show enemy unit levels - bug #817753
   - Fix typo by replacing 'stronghol' by 'stronghold' - bug #992273
   - Added slider for configuring mouse scroll speed to options menu - bug #817089
   - Do not overwrite CMAKE_EXE_LINKER_FLAGS, make install paths configurable - bug #1005271
   - Wartool - do not crash if Warcraft WAR archives are corrupted or incomplete - bug #998584
   - Generating User Preferences file - bug #1015938
   - Fixed compilation on more platforms
   - Fixed other problems

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 20 Aug 2012 13:49:07 +0200

wargus (2.2.6-1) unstable; urgency=low

  * Game
   - Show error box if saving game/map failed
   - Added support for starting game with specified map from command line
   - Animate Gold Mine when workers mining
   - Handle errors when saving game failed
   - Fixed showing tips on startup
   - Fixed spells and upgrades
   - Reverted back Color Cycling support
   - Fixed DefinePlayerTypes - bug #736460
  * Wartool
   - Fixed all memory leaks and memory erros
   - Added support for converting videos to ogv format (using ffmpeg2theora)
   - Added support for converting music files to ogg format (using timidity and ffmpeg2theora)
   - Added support for ripping sound tracks from Audio CD (using cdda2wav or cdparanoia)
  * Makefile
   - Rewritted to CMake
  * Wargus
   - Rewritted to use Stratagus Game Launcher
  * Maemo Warextract
   - Rewritted to use Stratagus Maemo Extractor
  * Debian
   - Rewritted control files to debhelper 7
   - Fixed debconf for dpkg-reconfigure
   - Fixed lintian errors and warnings
  * Unix build.sh
   - Script was removed, all functionality moved into wartool
  * Windows NSIS Installer
   - Removed all converting processes code (moved into wartool)

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 20 Dec 2011 19:37:55 +0100
