=== debian/control ===
Source: wargus
Section: games
Priority: optional
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 7), cmake (>= 2.6), pkg-config, imagemagick,
 po-debconf, sharutils, zlib1g-dev, libbz2-dev, libx11-dev,
 libpng12-dev (>= 1.2.5), libhildon1-dev | libgtk2.0-dev, stratagus-dev
Standards-Version: 3.9.2
Homepage: https://launchpad.net/wargus
Vcs-Browser: https://code.launchpad.net/wargus
Vcs-Bzr: lp:wargus

Package: wargus
Architecture: any
Depends: ${stratagus:Depends}, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: cdparanoia, ffmpeg2theora, timidity, freepats
Provides: stratagus-data
Description: Warcraft II data game set for the Stratagus engine
 Wargus can be used to play Warcraft II from Blizzard Entertainment.
 .
 You need the original Warcraft II CD (Battle.net edition doesn't work)
 to extract the game data files.
 .
 Wargus is developed together for Windows, Linux and Linux Maemo based
 devices (Nokia N900).
